ImageNow Support‎ > ‎ImageNow News‎ > ‎

WebNow and eForms Unsupported in Google Chrome v42 and Higher

posted Apr 17, 2015, 1:08 PM by John Brown   [ updated Apr 17, 2015, 1:16 PM ]
Google has moved to disable certain older browser plug-ins, including Java, from its Chrome browser. This change means that WebNow and eForms will no longer work in Google Chrome if you are using Chrome version 42 or higher. Google will not be bringing back support for the plug-ins used by these applications, so our current recommendation is to use an alternative browser, such as Firefox or Internet Explorer, to access these applications. 

Comments